<!DOCTYPE html>
<html>

<head>
	<title>PHP looping control flow</title>
</head>

<body>


<h1>PHP iteration control flow</h1>
<p>These statements are pretty much the same as Java or C#</p>
<h3>while statement</h3>

<?php
	$numberMax=10;
	$numberMin=1;
	$sum=0;
	$num1=$numberMin;
	
	while ($num1<=$numberMax)
	{
	       $sum=$sum+$num1;
	       $num1++;
	}
	echo "<p>The sum of $numberMin to $numberMax is: $sum</p>";

?>


<h3>for loop</h3>

<?php
	// pretty much the same as JavaScript
	$level=5;
	echo ("<ul>");
	for ($i=0;$i<$level;$i++)
	{
		echo "<li>$i</li>";
	}
	echo ("</ul>");
?>
	
<?php
	// pretty much the same as JavaScript
	$level=5;
	for ($i=1;$i<$level;$i++)
	{
		echo "<h$i>Heading tags</h$i>";
	}
?>


<h3>Nested loop: accept paramters from the URL</h3>
<p>This part will not work without URL parameters. <a href="4.loop.php?row=3&col=4">Click here for an URL example</a></p>
<?php
	//we may accept paramters from the URL;
	// change your the url to something like this: http://127.0.0.1:800/5.loop.php?row=3&col=4
	// use & for more than 1 parameter
	$row=$_GET['row']; 
	$col=$_GET['col'];
	echo "<table width='400' border=1>";
	for ($i=1; $i<=$row; $i++)
	  {
	 	echo ("<tr>");      
		for ($j=1; $j<=$col; $j++)
	      {
	         echo ("<td>$i, $j</td>");
	      }
	      echo "</tr>";
	  }
	echo("</table>");
?>
</body>


</html>