<!DOCTYPE html>
<html>

<head>
	<title>PHP selection control flow</title>
</head>

<body>


<h1>Selection control flow</h1>
<p>These statements are pretty much the same as Java or C#</p>
<h3>if statement</h3>

<?php
	$number=11;
	$numberType="";
	
	//if is pretty much the same as Java or C#
	if ( number%2==1 ) 
	{ 
		$numberType="odd"; 
	} 
	else 
		$numberType="even";
		
	echo ("<p>This number  $number is a $numberType number</p>");
	
?>
	
	
<h3>else if statement</h3>
<p>This part will not work without a URL parameter <a href="3.selection.php?income=21000">Click here for an URL example</a></p>
<?php
	
	//we use "_GET[]" to accept parameters from the URL
	//example testing URL http://.../3.selection.php?income=21000
	// notice the part after .php above (starting with the ?); a parameter is passed through a URL (HTTP GET Method)
	$income=$_GET["income"]; 
	$taxRate;
	      // pretty much the same as Java or C#
	      if ($income >= 50000)
	         $taxRate=0.4; 
	      else if ($income >= 40000)
	         $taxRate=0.35;
	      else if ($income >= 30000)
	         $taxRate=0.3;
	      else if ($income >= 20000)
	         $taxRate=0.25;
	      else
	         $taxRate=0.2;
	         
	echo ("<p>Income: $income; Tax rate: $taxRate</p>");
	echo ("<p>Tax: " . $income*$taxRate . "</p>");

?>

<h3>switch statement</h3>

<?php
	$grade="A"; // notice that "" and '' are the same.
	echo ("<p>");
	switch ($grade)
	    {
	      case 'A': echo ($grade . " is Great. "); 
	         	echo ("A+ is better!"); 
	         	break;
	      case 'B': echo ($grade . " is Good"); break;
	      case 'C': echo ($grade . " is Average"); break;
	      default: echo ("No comment");
	     }
	echo ("</p>");
?>
</body>


</html>